Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024853
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2013-09-30 22:402013-10-01 17:04
ReporteregoitzView Statuspublic 
Assigned Toshankarb 
PriorityimmediateResolutionfixedFixed in Version3.0MP28
StatusclosedFix in branchFixed in SCM revision41199a2bd66a
ProjectionnoneETAnoneTarget Version3.0MP28
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP26.2SCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2013-07-04
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/c708a98b9d609e1c8dfb7d9cfe9442eaf8cf78f3 [^]
Triggers an Emergency PackNo
Summary

0024853: The accounting tab under purchase invoice window does not show data when the location has not cityname defined

DescriptionThe accounting tab under purchase invoice window does not show data when the location has not cityname defined.
Steps To Reproduce-Go purchase invoice window.
-Find a completed and posted purchase invoice.
-Go to the location of the partner by clicking on the location field link.
-Edit the location by removing the cityname.
-Go to the previously selected purchase invoice.
-goto the accounting tab.
*The data is not loaded and a error is raised on the log
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0061503)
hgbot (developer)
2013-10-01 09:38

Repository: erp/devel/pi
Changeset: 41199a2bd66a46a072194bc8adcfe7c95eae4d7d
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Oct 01 12:15:58 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/41199a2bd66a46a072194bc8adcfe7c95eae4d7d [^]

Fixes Issue 0024853: data not shown when location city field is blank.

When the display property field value is null, exception was thrown.
Handled the exception and set value only if it is not null.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DataToJsonConverter.java
---
(0061504)
AugustoMauch (developer)
2013-10-01 10:08

Code reviewed and verified in pi@41199a2bd66a
(0061510)
hudsonbot (developer)
2013-10-01 17:04

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/541c707a5e9b [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-09-30 22:40 egoitz New Issue
2013-09-30 22:40 egoitz Assigned To => AugustoMauch
2013-09-30 22:40 egoitz Modules => Core
2013-09-30 22:40 egoitz Triggers an Emergency Pack => No
2013-09-30 22:42 egoitz Regression level => Production - QA Approved
2013-10-01 07:52 shankarb Assigned To AugustoMauch => shankarb
2013-10-01 08:21 shankarb Regression date => 2013-07-04
2013-10-01 08:21 shankarb Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/c708a98b9d609e1c8dfb7d9cfe9442eaf8cf78f3 [^]
2013-10-01 09:34 shankarb Review Assigned To => AugustoMauch
2013-10-01 09:36 shankarb Issue Monitored: AugustoMauch
2013-10-01 09:38 hgbot Checkin
2013-10-01 09:38 hgbot Note Added: 0061503
2013-10-01 09:38 hgbot Status new => resolved
2013-10-01 09:38 hgbot Resolution open => fixed
2013-10-01 09:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/41199a2bd66a46a072194bc8adcfe7c95eae4d7d [^]
2013-10-01 10:08 AugustoMauch Note Added: 0061504
2013-10-01 10:08 AugustoMauch Status resolved => closed
2013-10-01 10:08 AugustoMauch Fixed in Version => 3.0MP28
2013-10-01 17:04 hudsonbot Checkin
2013-10-01 17:04 hudsonbot Note Added: 0061510


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker